#ifndef _ADC
#define _ADC
#include "common.h"

class ADCon {
public:
  static int pin;
  ADCon();
  ADCon(BYTE pin);
  void start();
  void stop();
  int value(BYTE pin);
};

class ADCScan {
private:
  int channel;
  bool autoScan;
public:
  const static BYTE AN0    = 0;
  const static BYTE AN0to1 = 1;
  const static BYTE AN0to2 = 2;
  const static BYTE AN0to3 = 3;
  const static BYTE AN4    = 4;
  const static BYTE AN4to5 = 5;
  const static BYTE AN4to6 = 6;
  const static BYTE AN4to7 = 7;
  
  int values[4];
  ADCScan(BYTE channel);
  ADCScan(BYTE channel, bool autoScan);
  void start();
  void stop();
  int* value();
  void value(int* val);
};

#endif